<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rollback Method (IEdmSerNoValue)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSerNoValue Interface : Rollback Method (IEdmSerNoValue)

Visual Basic
C#
C++/CLI
Returns the allocated serial number to the serial number generator, so it can be allocated in the future.

# Syntax

Visual Basic |
--- | ---

    Sub Rollback()

C# |
--- | ---

    void Rollback()

C++/CLI |
--- | ---

    void Rollback();

# Remarks

This method allows you to return generated numbers that you can not use. This helps to avoid gaps between serial numbers.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmSerNoValue Interface
IEdmSerNoValue Members

# Availability

SOLIDWORKS PDM Professional Version 6.4